FROM prom/mysqld-exporter:v0.12.1

ADD env_secrets_expand.sh /env_secrets_expand.sh
ADD entrypoint.sh /entrypoint.sh
USER root
RUN chmod +x /entrypoint.sh /env_secrets_expand.sh

USER nobody
EXPOSE 9104
ENTRYPOINT [ "/entrypoint.sh" ]
